<?php

namespace AppBundle\Repository;

/**
 * PPatientRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class PPatientRepository extends \Doctrine\ORM\EntityRepository {

    public function GetPatients($id, $groupe) {

//AND 0<(select COUNT(*) from  AppBundle:PPatient pp  where pp.inscription=inss.inscription  ) and
        $query = $this->getEntityManager()
                ->createQuery(
                        "SELECT pa  FROM AppBundle:PPatient pa
                                 JOIN pa.inscription ins
                                 JOIN ins.promotion prm 
                                 JOIN ins.annee ann 
                                 JOIN ins.ins_stg inss 
                                 JOIN pa.groupe gr
                                 WHERE ann.validationAcademique='non' and   prm=:promotion_id and gr=:groupe"
                )
                ->setParameter('promotion_id', $id)
                ->setParameter('groupe', $groupe);
        //->setParameter('promotion_id', $id);
        //->setParameter(array('promotion_id' => $id, 'groupe' => $groupe));
        //dump($query->getResult());
        //  die();
        try {
            return $query->getResult();
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }

    public function GetPatients2($id, $groupe) {

//AND 0<(select COUNT(*) from  AppBundle:PPatient pp  where pp.inscription=inss.inscription  ) and
        $query = $this->getEntityManager()
        ->createQuery(
        "SELECT  TO as obj ,COUNT(ob) as nbr FROM AppBundle:TObjectifEtudiant TO
                                 JOIN TO.inscription ins
                                 JOIN TO.objNiveau3 ob
                                 JOIN TO.patients pa
                                 JOIN pa.groupe gr
                                 WHERE   ins=:inscription_id and gr=:groupe_id  GROUP BY ob "
        )
        ->setParameter('inscription_id', $id)
        ->setParameter('groupe_id', $groupe);
        //->setParameter(array('inscription_id' => $id, 'groupe_id' => $groupe));

        //dump($query->getResult());
        //  die();
        try {
            return $query->getResult();
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }
        public function GetPatientsByModule($ins, $groupe,$module) {

//AND 0<(select COUNT(*) from  AppBundle:PPatient pp  where pp.inscription=inss.inscription  ) and
        $query = $this->getEntityManager()
                ->createQuery(
                        "SELECT pa  FROM AppBundle:PPatient pa
                                 JOIN pa.inscription ins
                                 JOIN ins.promotion prm 
                                 JOIN ins.annee ann 
                                 JOIN ins.ins_stg inss 
                                 JOIN pa.groupe gr
                                 JOIN pa.categorie cat
                                 JOIN cat.module mod
                                 WHERE ann.validationAcademique='non' and mod=:module_id and   ins=:inscription_id and gr=:groupe"
                )
                ->setParameter('inscription_id', $ins)
                ->setParameter('groupe', $groupe)
                ->setParameter('module_id', $module);
        //->setParameter('promotion_id', $id);
        //->setParameter(array('promotion_id' => $id, 'groupe' => $groupe));
        //dump($query->getResult());
        //  die();
        try {
            return $query->getResult();
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }

    public function remove_evil_styles_v2($tag_source) {
        $evil_styles = array('font-family', 'list-style-type', 'layoutArea');
        $evil_style_pttrns = array();
        foreach ($evil_styles as $v)
            $evil_style_pttrns[] = '/' . $v . '\s*:\s*[^;"\']*;?/';
        return preg_replace($evil_style_pttrns, '', $tag_source);
    }

}
